This is my custom keymap for the [Drop CTRL](https://drop.com/buy/drop-ctrl-mechanical-keyboard) keyboard.

### About the Drop CTRL

Note that I *do not* actually recommend buying one of these keyboards if your needs extend to custom QMK firmware. Drop currently has licensing issues that may result in QMK pulling support for their boards.

That said, the CTRL is a very attractive TKL keyboard with full QMK support, per-key RGB LEDs and a lightstrip that requires no assembly, and a lightstrip around the edges. It's a gorgeous board that fills a much-needed gap between casual mechanical keyboard enjoyers and hobbyists with the time, energy, and skill to assemble their own boards.


### About this keymap

My keymap defaults to Dvorak in firmware; that means it will type like a Dvorak keyboard on a computer whose system settings are set to Qwerty. (or any other keymap, probably) It can be switched to Qwerty by pressing `Fn+Esc`, and has a bunch of other fun features including custom RGB light maps for various games I have enjoyed. (Many of them are now essentially deprecated, but that's neither here nor there) Other fun features:

* Caps lock defaults to `F14`, useful for implementing a dedicated compose key in Wincompose. Caps lock is still accessible by pressing `Fn+Caps Lock`.
* `Fn+Win` will disable the Windows and Caps Lock / F14 keys. These keys can still be accessed in this "protected" mode by triple-tapping the key. This allows you to disable those keys while playing games (to avoid accidentally breaking the game input in a stressful moment) but still lets you get to those buttons if you really need them.
* `Fn+a` and `Fn+s` print �� and �� emoji, respectively. For personal reasons.

This code is a bit of a mess, but I'm sticking it out in the public anyway in classic open source fashion, in case anyone finds it useful.

### Using this code

Clone the [QMK firmware](https://github.com/qmk/qmk_firmware) repository, and then clone this repo into the appropriate directory:

```
git clone https://github.com/qmk/qmk_firmware.git keyboards/massdrop/ctrl/ctrl-kbd-annabunches
```

Modify it as you like, then run (from the QMK project's root directory):

```
make massdrop/ctrl:ctrl-kbd-annabunches
```

This should produce a `.bin` file in the `qmk_firmware` directory. You can flash that to the keyboard following Drop's flashing instruction. (I typically scp the file to my Windows machine and use the QMK Toolbox app there, but that's only because the keyboard is connected to my Windows machine)

The keymap currently builds on QMK firmware commit `71d5d14c139cb9c5e0103aa701ca8bce4be1cd7a`. Successful building on future commits is not guaranteed.
